package lib.ui.reactive;

import lib.Debug;
import lib.Vec.Vec2;
import lib.Pos;

class TurtleController extends UIElement {

	public function new() {
		super();
	}

	private function addButton(label:String): Canvas {
		var txt = new TextElement({simpleText: '$label', fg: Red,bg: Orange});
		return txt.render({x:3,y:3},{x:0,y:0});
	}

	public function render(bounds:Vec2<Int>, offset:Pos):Canvas {
		var canvas: Canvas = new Canvas();

		canvas.combine(addButton("F"),{x:1,y:1});
		canvas.combine(addButton("F"),{x:5,y:2});

		return canvas;

	}
}

// var innerText = switch (sqr) {
// 	case 0: "D";
// 	case 1: "F";
// 	case 2: "U";
// 	case 3: "L";
// 	case 4: "B";
// 	case 5: "R";
// 	case 6: "D";
// 	case 7: "D";
// 	case 8: "D";
// 	default: "?";
// };

			// canvas.set({x: offsetX + 0, y: offsetY + 0}, {char: borderChar,bg: bgColor,textColor: textColor});
			// canvas.set({x: offsetX + 1, y: offsetY + 0}, {char: borderChar,bg: bgColor,textColor: textColor});
			// canvas.set({x: offsetX + 2, y: offsetY + 0}, {char: borderChar,bg: bgColor,textColor: textColor});
			// canvas.set({x: offsetX + 3, y: offsetY + 0}, {char: " ",bg: spaceColor,textColor: textColor});

			// canvas.set({x: offsetX + 0, y: offsetY + 1}, {char: borderChar,bg: bgColor,textColor: textColor});
			// canvas.set({x: offsetX + 1, y: offsetY + 1}, {char: innerText,bg: bgColor,textColor: textColor});
			// canvas.set({x: offsetX + 2, y: offsetY + 1}, {char: borderChar,bg: bgColor,textColor: textColor});
			// canvas.set({x: offsetX + 3, y: offsetY + 1}, {char: " ",bg: spaceColor,textColor: textColor});

			// canvas.set({x: offsetX + 0, y: offsetY + 2}, {char: borderChar,bg: bgColor,textColor: textColor});
			// canvas.set({x: offsetX + 1, y: offsetY + 2}, {char: borderChar,bg: bgColor,textColor: textColor});
			// canvas.set({x: offsetX + 2, y: offsetY + 2}, {char: borderChar,bg: bgColor,textColor: textColor});
			// canvas.set({x: offsetX + 3, y: offsetY + 2}, {char: " ",bg: spaceColor,textColor: textColor});

			// canvas.set({x: offsetX + 0, y: offsetY + 3}, {char: " ",bg: spaceColor,textColor: textColor});
			// canvas.set({x: offsetX + 1, y: offsetY + 3}, {char: " ",bg: spaceColor,textColor: textColor});
			// canvas.set({x: offsetX + 2, y: offsetY + 3}, {char: " ",bg: spaceColor,textColor: textColor});
			// canvas.set({x: offsetX + 3, y: offsetY + 3}, {char: " ",bg: spaceColor,textColor: textColor});
